[[_TOC_]]



# Guide-bonnes-pratiques-gilab-issue

## Prise en main rapide

### Comment changer la langue

Pour **changer la langue**, il faut :
>- cliquer sur l'icône profil en haut à droite
>- sélectionner "Préférences" (ou "Preferences" si l'application est en anglais)\
>![profil](Images/accesProfil.png)
>- dans la partie "Localisation" (ou "Localization"), modifier le champ "Langue" (ou "Language")
>- sauvegarder avec le bouton "Save changes"\
>![langue](Images/changerLangue.png)

La suite de ce document se base sur la version française de GitLab.


### Comment changer les paramètres de notifications

Pour **changer les paramètres de notifications**, il faut :
>- cliquer sur l'icône profil en haut à droite
>- sélectionner "Modifier le profil"\
>![profil](Images/accesProfil.png)
>- dans le menu de gauche, cliquer sur "Notifications"
Vous pouvez ensuite :
>- modifier le niveau de notification global\
>![notificationGlobale](Images/notificationGlobale.png)
>- modifier le niveau de notification pour un groupe en particulier\
>![notificationDeGroupe](Images/notificationGroupe.png)


### Comment afficher les tickets

Pour l'**affichage classique des tickets**, il faut : 
>- dans le menu de gauche, passer la souris sur "Tickets"
>- dans le sous menu qui s'affiche, cliquer sur "Liste"\
![afficherTickets](Images/afficherTickets.png)\
![affichageTickets](Images/affichageTickets.png)
La page affiche par défaut uniquement les tickets ouverts, il est possible d'accéder aux tickets fermés ou à tous les tickets via le menu en haut de la liste.\
![ouvertFermé](Images/ouvertFerme.png)

### Recherche de tickets

En haut de la liste des tickets il y a un champ de recherche.
Il est possible de **faire une recherche par l'id du ticket**. Dans ce cas, il ne faut pas oublier le "#" devant le numéro d'id.\
![rechercheParId](Images/rechercheID.png)

Il est aussi possible de faire une recherche par d'autres critères, par étiquette par exemple. 
Pour **faire une recherche par étiquette** il faut : 
>- cliquer dans le champ de recherche
>- dans le sous-menu, cliquer sur "label"\
>![rechercheLabel](Images/rechercheLabel1.png)
>- dans le sous-menu, cliquer sur l'opérateur logique de votre choix ("is" dans notre cas)\
>![rechercheLabelOpérateur](Images/rechercheLabel2.png)
>- dans le sous-menu, sélectionner l'étiquette de votre choix\
>![rechercheLabelEtiquette](Images/rechercheLabel3.png)
![resultatRechercheLabel](Images/resultatRechercheLabel.png)

### Utilisation des tableaux

Les tableaux sont un type d'affichage des tickets. On peut y accéder dans le menu de gauche > Tickets > Tableaux.
Dans le tableau par défaut, les tickets sont rangés dans deux listes : les tickets ouverts et les tickets fermés.\
![tableaux](Images/tableaux.png)

Il est possible de créer de nouveaux tableaux avec d'autres types de listes, comme un tableau avec les différents niveaux de priorités par exemple.\
![tableauPersonnalisé](Images/tableauCustom.png)

Pour **créer un nouveau tableau personnalisé**, il faut :
>- dans le menu déroulant "Switch board" à côté de la barre de recherche, cliquer sur "Create new board"\
>![menuSwitchBoard](Images/changerDeTableau.png)
>- dans le pop-up "Create new board", saisir un titre et décocher les options "Show the Open list" et "Show the Closed list"
>- cliquer sur "Create board"\
>![creerTableau](Images/creerTableau.png)

Pour **ajouter une liste dans un tableau**, il faut :
>- cliquer sur le bouton "Create list" à droite de la barre de recherche\
>![creerListe](Images/creerListe.png)
>- dans l'encadré "New list", sélectionner un label dans le menu déroulant "Select label"\
>![selectionLabelListe](Images/editListe.png)

Il est possible d'ordonner les tableaux avec un cliquer-glisser.\
![deplacerTableau](Images/glisserTableau.png)

Il est également possible de changer un ticket de liste avec un cliquer-glisser. Le statut ou l'étiquette du ticket sont automatiquement modifiés pour correspondre à la liste dans laquelle il a été glissé.\
![changerDeListe](Images/changeLabelTableau.png)

## Bonnes pratiques

### Création de ticket
Pour **créer un nouveau ticket**, il faut cliquer sur le bouton "New issue" sur la page de liste des tickets.
![nouveauTicket](Images/newIssue.png)

Les seuls champs obligatoires sont le titre et le type, mais nous vous conseillons de renseigner au minimum ces champs :
>- Titre
>- Type
>- Description (en incluant les étapes pour reproduire)
>- Une étiquette pour chacune de ces catégories :
>>- *Anomalie* ou *Evolution*
>>- Impact (*Impact : Mineur* ou *Impact : Majeur* ou *Impact : Bloquant*)
>>- Priorité (*Priorité : Basse* ou *Priorité : Normale* ou *Priorité : Haute*)\
>>![selectionEtiquette](Images/selectLabel.png)

Il y a deux options pour le **type de ticket** : *issue* qui correspond à une anomalie en recette, et *incident* qui correspond à une anomalie en production.

Pour **créer de nouvelles étiquettes**, il faut :
>- dans le menu de sélection d'étiquette, cliquer sur "Créer un étiquette de projet"\
>![creerEtiquette](Images/creerLabel.png)
>- donner un titre à l'étiquette
>- sélectionner la couleur de l'étiquette
>- cliquer sur le bouton "Créer"\
>![personnaliserEtiquette](Images/creerLabel2.png)

Pour **ajouter un document ou une image** à la description, il faut cliquer sur l'icône trombone de l'encadré description.\
![ajoutFichier](Images/ajoutFichier.png)
![fichierAjouté](Images/fichierAjout%C3%A9.png)

Il n'y a pas de champ "étapes pour reproduire l'anomalie" dans GitLab. Il faut donc ajouter ces information à la fin de la description.


